<div id="bet-info-root">
  <ul id="type-toggle">
    <li>
      <button class="dialog-close-btn" (click)="onCloseClicked()">
        <mat-icon class="dialog-close-icon">close</mat-icon>
      </button>
    </li>

    <li (click)="togglePayTable()">
      <h3 id="pay-title" [ngClass]="isBetHistory ? 'hide-type' : 'show-type'">PayTable</h3>
    </li>

    <li (click)="toggleBetHistory()">
      <h3 id="bet-title" [className]="isBetHistory ? 'show-type' : 'hide-type'">BetHistory</h3>
    </li>
  </ul>

  <ng-container *ngIf="isBetHistory; else thePayTable">
    <ng-container *ngIf="betHistories && (betHistories.length > 0) else noHistory" >
      <div *ngFor="let betHistory of betHistories" class="history-card">
        <div class="bet-value">
          <h4>Bet Value: {{betHistory.betValue}}</h4>
        </div>

        <div class="history-details">
          <div class="symbols">
            {{betHistory.symbols}}
          </div>

          <div class="history-msg">
            <h4>{{getMatchInfo(betHistory)}}</h4>
          </div>

          <div class="draw-time">
            <h6>{{betHistory.time}}</h6>
          </div>
        </div>
      </div>
    </ng-container>

    <ng-template #noHistory>
      <div id="no-history-container">
        <h4>You have no bet history.</h4>
      </div>
    </ng-template>
  </ng-container>

  <ng-template #thePayTable>
    <table id="pay-table">
      <caption id="pay-table-cap">
        Number of tickets and prizes for {{data.betValue | currency: 'EUR'}} bet
      </caption>

      <thead>
      <tr>
        <th>Symbol</th>
        <th>Number of Cards*</th>
        <th>Prize</th>
      </tr>
      </thead>

      <tbody>
      <tr *ngFor="let row of data.payTable">
        <td class="pay-table-td">
          {{row.sym}}
        </td>

        <td class="pay-table-td">
          {{row.count}}
        </td>

        <td class="pay-table-td">
          {{row.prize}}
        </td>
      </tr>
      </tbody>

      <tfoot>
      <tr>
        <td id="footer-td" colspan="3">{{footerNote}}</td>
      </tr>
      </tfoot>
    </table>
  </ng-template>
</div>
